osl::move_generator::GenerateAddEffectWithEffect Struct Reference

`#include <addEffectWithEffect.h>`

## Static Public Member Functions

template<bool isAttackToKing>
static void | generate (Player player, const NumEffectState &state, Square target, move_action::Store &store)
| 対象とするマスに利きを付ける手を生成する.
template<bool isAttackToKing>
static void | generate (Player player, const NumEffectState &state, Square target, MoveVector &out, bool &has_pawn_checkmate)
template<bool isAttackToKing>
static void | generate (Player player, const NumEffectState &state, Square target, MoveVector &out)

## Detailed Description

Definition at line 37 of file addEffectWithEffect.h.

## Member Function Documentation

## generate() [1/3]

template<bool isAttackToKing>

void osl::move_generator::GenerateAddEffectWithEffect::generate | ( | Player | player,
|  | const NumEffectState & | state,
|  | Square | target,
|  | move_action::Store & | store )

static

対象とするマスに利きを付ける手を生成する.

Note: Action がPlayerで型付けされていると，無駄があるのでStore限定に

Referenced by generate(), and generate().

## generate() [2/3]

template<bool isAttackToKing>

void osl::move_generator::GenerateAddEffectWithEffect::generate | ( | Player | player,
|  | const NumEffectState & | state,
|  | Square | target,
|  | MoveVector & | out )

inline static

Definition at line 55 of file addEffectWithEffect.h.

References generate().

## generate() [3/3]

template<bool isAttackToKing>

void osl::move_generator::GenerateAddEffectWithEffect::generate | ( | Player | player,
|  | const NumEffectState & | state,
|  | Square | target,
|  | MoveVector & | out,
|  | bool & | has_pawn_checkmate )

inline static

Definition at line 47 of file addEffectWithEffect.h.

References osl::BLACK, and generate().

The documentation for this struct was generated from the following file:

- addEffectWithEffect.h